## libdkim 1.0.21

=== src/Makefile ===
# libdkim makefile for UNIX
#

#ifdef LINUX
CFLAGS  = -c
LFLAGS  = 
LIBS    = -lcrypto -lresolv
#else
CFLAGS  = -c
LFLAGS  = 
LIBS    = -lcrypto 
#endif

INCL	=  -I /usr/include/openssl/

SRCS = dkim.cpp dns.cpp dkimbase.cpp dkimsign.cpp dkimverify.cpp

OBJS = $(SRCS:.cpp=.o)

HDRS = dkim.h dns.h dkimbase.h dkimsign.h dkimverify.h

all: libdkim.a libdkimtest

libdkim.a: $(OBJS)
	rm -f libdkim.a
	ar cr libdkim.a $(OBJS)
	ranlib libdkim.a

libdkimtest : libdkim.a libdkimtest.o
	g++ -olibdkimtest $(LFLAGS) \
	       -L . libdkimtest.o $(LIBS) -ldkim
	
libdkimtest.o: libdkimtest.cpp $(HDRS)

.cpp.o:
	g++ $(CFLAGS) -c $<

clean:
	rm  *.o libdkim.lib libdkimtest

=== debian/changelog ===
libdkim (1:1.0.21-3build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:40:27 +0100

libdkim (1:1.0.21-3) unstable; urgency=low

  * Completely correct order of object files and libraries (Closes:
    #627387 again).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 14 Jun 2011 20:51:32 +0200

libdkim (1:1.0.21-2) unstable; urgency=low

  * debian/Makefile.in: Correct order of object files and libraries when
    linking so that --as-needed will work (Closes: #627387).
  * Convert to source package version 3.0 (quilt).
  * Upgrade to Debhelper compat level 7.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 12 Jun 2011 01:34:35 +0200

libdkim (1:1.0.21-1) unstable; urgency=low

  * New upstream version.
    * SSP (Sender Signing Practices) replaced by ADSP (Author Domain
      Signing Practices).
  * 30_extra_fields.dpatch: Dropped. The DKIMVerifyDetails structure now
    provides the formerly missing information in the szSignatureDomain and
    szIdentityDomain fields.
  * SONAME changed to libdkim.so.1d because of the above change.
  * Correct bug number (#524133) in the previous changelog entry.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 31 Jan 2010 23:39:24 +0100

libdkim (1:1.0.19-4) unstable; urgency=low

  * Add debug package (Closes: #532058).
  * Use strtok_r() instead of strtok() for thread safety (Closes:
    #532740). Patch by Russel Coker.
  * Include built libdkimtest (Closes: #524147).
  * Move examples from library to dev package.
  * Get rid of warnings through the use of const and more correct types
    (Closes: #524133). Patch by Russel Coker.
  * Upgrade package to Standards-Version 3.8.3:
    + Add README.source.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 14 Sep 2009 22:34:21 +0200

libdkim (1:1.0.19-3) unstable; urgency=low

  * Don't symlink libdkim-dev's doc directory to that of libdkim*,
    it only adds another place to update when the soname changes.
  * Update debian/copyright; mention the patent license and refer to
    common-licenses for the Apache 2.0 license.
  * Remove Debian revision from symbols file.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 28 Jun 2008 11:53:09 +0200

libdkim (1:1.0.19-2) unstable; urgency=low

  * Change the SOVERSION to 0d (d for Debian) to avoid potential future
    clashes.
  * Bring back the version script, but only to hide internal symbols.
  * Add initial symbols file.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 16 Jun 2008 17:37:06 +0200

libdkim (1:1.0.19-1exp1+eximdkim) experimental; urgency=low

  * Experimental version made specifically to work with potential DKIM
    support in Exim.
  * 30_extra_fields.dpatch (new): Add Domain and IdentityDomain fields to
    struct DKIMVerifyDetails (this is Tom Kistner's plan).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 17 May 2008 23:53:39 +0200

libdkim (1:1.0.19-1) unstable; urgency=low

  * New upstream release.
    - Drop remaining patches; issues fixed upstream.
  * New maintainer email address.
  * Include Yahoo! patent license as plain text.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 17 May 2008 23:13:03 +0200

libdkim (1:1.0.17-1) unstable; urgency=low

  * New upstream release.
  * Drop 20_winmacros.dpatch; fixed upstream.
  * Bump soname to libdkim1 because of incompatible struct changes.
  * 20_strict_includes.dpatch (new): Add "#include <string.h>" as necessary
    to fix FTBFS with GCC 4.3 (Closes: #455145).
  * Add an epoch to reclaim binary packages "stolen" by dkim-milter.
  * Dump the linker version script - changing the soname when necessary is
    going to be hard enough.
  * Move homepage URL from description to control field.
  * Increase Standards-Version to 3.7.3 without changes.
  * Don't ignore distclean errors.

 -- Magnus Holmgren <magnus@kibibyte.se>  Fri, 15 Feb 2008 23:04:42 +0100

libdkim (1.0.14-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on pkg-config.
  * Use dpatch to apply changes to upstream.

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 02 May 2007 21:14:01 +0200

libdkim (1.0.13-1) unstable; urgency=low

  * Initial release (Closes: #410829).

 -- Magnus Holmgren <magnus@kibibyte.se>  Tue,  6 Mar 2007 21:08:04 +0100

=== debian/control ===
Source: libdkim
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper (>= 7), autoconf, libssl-dev, pkg-config
Standards-Version: 3.9.2
Section: libs
Homepage: http://libdkim.sourceforge.net

Package: libdkim1d
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cryptographically identify the sender of email
 DomainKeys Identified Mail (DKIM) defines a domain-level
 authentication framework for email using public-key cryptography and
 key server technology to permit verification of the source and
 contents of messages by either Mail Transport Agents (MTAs) or Mail
 User Agents (MUAs).
 .
 libdkim is a library, developed by Alt-N Technologies, that allows
 incorporating DKIM into an existing MTA or other application. It
 provides full support for signing, verifying, and SSP. See the
 changelogs for information on compliance with specifications.

Package: libdkim-dev
Section: libdevel
Architecture: any
Depends: libdkim1d (= ${binary:Version}), libssl-dev, ${shlibs:Depends}, ${misc:Depends}
Description: cryptographically identify the sender of email
 DomainKeys Identified Mail (DKIM) defines a domain-level
 authentication framework for email using public-key cryptography and
 key server technology to permit verification of the source and
 contents of messages by either Mail Transport Agents (MTAs) or Mail
 User Agents (MUAs).
 .
 libdkim is a library, developed by Alt-N Technologies, that allows
 incorporating DKIM into an existing MTA or other application. It
 provides full support for signing, verifying, and SSP. See the
 changelogs for information on compliance with specifications.
 .
 This package contains the development files needed to compile and link
 programs with libdkim.

Package: libdkim1d-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdkim1d (= ${binary:Version}), ${misc:Depends}
Description: DomainKeys Identified Mail (DKIM) library - debug symbols
 This package contains the debug symbols for libdkim1d, a library for
 server-level signing of email using the DKIM standard, and
 verification of the signatures. See the description of that package
 for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CXXFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

configure: config.status
config.status: debian/configure.ac
	dh_testdir
	ln -sf $(CURDIR)/debian/*.in src/
	cd debian && autoconf
	debian/configure --srcdir=src/ --prefix=/usr

build: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f src/*.in debian/configure
	rm -rf debian/autom4te.cache
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
#	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_installchangelogs -k README
	dh_installdocs
	dh_installexamples
#	dh_installinfo
#	dh_installman
	dh_strip --dbg-package=libdkim1d-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: patch unpatch build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/libdkim/libdkim-(.*)\.zip debian uupdate
